Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456474 - r8169 drops from a 1000Mb/s to 100Mb/s connection when resuming from S3 standby
Summary: r8169 drops from a 1000Mb/s to 100Mb/s connection when resuming from S3 standby
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-23 22:03 UTC by Mark Gunstrom
Modified: 2011-01-10 15:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 10:41:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Linux Kernel 10130 None None None Never

Description Mark Gunstrom 2008-07-23 22:03:52 UTC
Description of problem:
r8169 gigabit module fails to establish a gigabit connection when resuming from
hibernation or S3 standby.  Upon resuming the connection drops from 1000Mb/s to
100Mb/s.

Version-Release number of selected component (if applicable):
N/A

How reproducible:
Put the computer into standby and then resume from standby.


Steps to Reproduce:
1.Freshly boot a r8169 PC connected to a gigabit switch and note the 1000Mb/s link.
2.Put the computer into S3 standby.
3.Wake the computer up.  Note that the link is now 100Mb/s
  
Actual results:


Expected results:


Additional info:

Comment 1 Dan Williams 2008-07-27 16:25:55 UTC
Probably you meant the 'kernel' package; NM doesn't do anything with rates at
this time.

Comment 2 Solomon Peachy 2009-05-15 14:19:19 UTC
I have this problem too; 2.6.27.19-170.2.35.fc10.x86_64 and kernel-2.6.29.3-60.fc10.x86_64.

'ethtool -s eth0 speed 1000' will get things working, as well removing and re-loading the module.

The problem seems to be that the PHY stops advertising 1000baseT support, so the link gets negotiated as 100baseT instead.

see also: http://bugzilla.kernel.org/show_bug.cgi?id=10130

Comment 3 Bug Zapper 2009-06-10 02:12:19 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Solomon Peachy 2009-06-24 22:28:35 UTC
This bug is still present in Fedora 11, using the 2.6.29.4-167.fc11.x86_64 kernel.  I am unable to change the 'version' field of this bug.

Comment 5 Chuck Ebbert 2009-10-12 06:49:40 UTC
Is this still happening with the 2.6.30 F-11 kernel?

Comment 6 Per Nystrom 2009-10-12 14:04:14 UTC
Yes, it is still happening with the current kernel version.  By the way, I compiled and installed the r8168 driver provided by Realtek for comparison, and it also comes back from standby at 100 Mb/sec.

# uname -r
2.6.30.8-64.fc11.x86_64

See also this bug:

https://bugzilla.redhat.com/show_bug.cgi?id=505561

Comment 7 James Ettle 2010-01-26 20:40:16 UTC
Still happening in F12. Was using wireless, suspended, plugged into a gigabit LAN, resumed, and got 100 Mbit/s. For me, running

  ethtool -s eth0 speed 1000

results in a connection at 10 Mbit/s; reloading r8169 gives a gigabit connection.

Comment 8 Solomon Peachy 2010-02-05 17:19:04 UTC
This bug is still present in the 2.6.32.7-37.fc12.x86_64 kernel..

Comment 9 Bug Zapper 2010-04-27 12:09:42 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Solomon Peachy 2010-06-08 13:59:23 UTC
This bug is still in Fedora 13 (kernel-2.6.33.5-112.fc13.x86_64)

Comment 11 Bug Zapper 2010-06-28 10:41:41 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 James Ettle 2010-07-09 19:44:08 UTC
Please can the original reporter of this bug update the release to Fedora 13 so its status can be set back to NEW (or something other than CLOSED-WONTFIX). There seems to be some upstream activity on this which includes a proposed patch, see:

https://bugzilla.kernel.org/show_bug.cgi?id=10130

Comment 13 James Ettle 2011-01-10 15:49:10 UTC
This seems to be fixed in the new 2.6.37-series kernels now in Koji.


Note You need to log in before you can comment on or make changes to this bug.